Bug 1479515 - [RFE] Improve Satellite Task Management
[RFE] Improve Satellite Task Management
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure (Show other bugs)
6.2.10
All Linux
high Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, PrioBumpGSS, PrioBumpPM, Triaged, UserExperience
Depends On:
Blocks: CEE_Sat6_Top_BZs/GSS_Sat6_Top_Bugs 1399395
  Show dependency treegraph
 
Reported: 2017-08-08 13:02 EDT by Christian Marineau
Modified: 2018-06-15 18:37 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1284813 None None None 2017-08-09 16:54 EDT
Red Hat Knowledge Base (Solution) 1381053 None None None 2017-08-08 13:11 EDT
Red Hat Knowledge Base (Solution) 2089951 None None None 2017-08-08 13:07 EDT
Red Hat Knowledge Base (Solution) 2755731 None None None 2017-08-08 13:12 EDT

  None (edit)
Description Christian Marineau 2017-08-08 13:02:08 EDT
Description of problem:

As a Satellite user, I would need the product to have a better management concerning  tasks.

I would like to:
  -Avoid the accumulation of Pending/Paused Tasks
  -Avoid having to Clean/Destroy/Unlocks Tasks
  -Not having to deal with Dynflow console
  -Have a better notification about the underlying issue (errored/paused  tasks often being a collateral effect)
  -Dynflow should have a skip all link to include resume the task
  -Foreman rake console and dynflow should be locked to only 1 Satellite user session to prevent concurrent task destroying

A lot of issues required involving interaction with Tasks, which is time consuming, can lead to mistakes or data inconsistency.
Comment 1 Rick Dixon 2017-08-08 13:08:04 EDT
Two asks from me:


1) I'd also like to suggest global option for task handling, depending on the level of task involvement the user wants:

For example:

AUTO
Would NOT allow tasks to settle in a paused state (holding locks) if at all possible; complicated tasks that reach a paused state and require user interaction should be automatically “rolled back” into a stopped state, releasing the lock.

MANUAL
Allows tasks to pause for manual, step-by-step user intervention of individual steps. Locks are held in the meantime.



2) Some kind of console command to force recursively skipping all related steps in a specific task. Preferably, initiating this by task id on a paused/error task would:
 	- resume the task
        - check for settlement into a paused state
        - recursively skip all skippable steps 
        - resume the task 
        - rinse/repeat until the task reaches a stopped state

            # foreman-rake katello:taskcleanup  TASK_UUID --force-skip

Note You need to log in before you can comment on or make changes to this bug.